
QGIS Application - Bug report #3471

QGIS freezes while reprojecting layer with new symbology

2011-02-06 06:22 AM - dr -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13531

Description

1. Create custom projection: +proj=aea +lat_1=52 +lat_2=64 +lat_0=0 +lon_0=105 +x_0=18500000 +y_0=0 +ellps=WGS84 +units=m

+no_defs ;

2. Open hydro-l.shp (see attachment);

3. Turn on on the fly projection and choose created projection. All works flawlessly;

4. Turn off on the fly projection;

5. Change symbology of this line: New Symbology - Single Symbol and set Symbol layer type as Marker line;

6. Turn on on the fly projection and choose created in first step projection.

QGIS freezes. r15130

History

#1 - 2011-02-06 06:38 AM - Alexander Bruy

Confirmed under Linux with commit:e5863992 (SVN r15131)

#2 - 2011-02-06 01:51 PM - Marco Hugentobler

Could be a side effect of the new line clipping.

#3 - 2011-02-07 08:53 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in . It was a problem with the extent transformation.

Files

shape.7z 218 KB 2011-02-06 dr -
